{"openapi":"3.1.0","info":{"title":"GET /api/v1/inventory/locations/{location_id}/summary","version":"1.0.0","description":"Get location inventory summary"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/inventory/locations/{location_id}/summary":{"get":{"tags":["inventory:locations"],"summary":"Get location inventory summary","description":"Get summary of inventory at a location.","operationId":"get_location_summary_api_v1_inventory_locations__location_id__summary_get","parameters":[{"name":"location_id","in":"path","required":true,"schema":{"type":"string","title":"Location Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationInventorySummary"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"LocationInventorySummary":{"properties":{"location_id":{"type":"string","title":"Location Id"},"location_name":{"type":"string","title":"Location Name"},"location_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Location Code"},"total_variants":{"type":"integer","title":"Total Variants","default":0},"total_on_hand":{"type":"integer","title":"Total On Hand","default":0},"total_available":{"type":"integer","title":"Total Available","default":0},"needs_reorder_count":{"type":"integer","title":"Needs Reorder Count","default":0},"inbound_quantity":{"type":"integer","title":"Inbound Quantity","default":0},"outbound_quantity":{"type":"integer","title":"Outbound Quantity","default":0},"ready_to_ship_quantity":{"type":"integer","title":"Ready To Ship Quantity","default":0}},"type":"object","required":["location_id","location_name"],"title":"LocationInventorySummary","description":"Inventory summary for a location."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}